#!/bin/sh
export PATH='/usr/obj/ports/hs-skein-1.0.9.2/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: skein
version: 1.0.9.2
id: skein-1.0.9.2-33712ccbab152033ae34fba021998deb
key: skein_4cmcSdqE4k4IDFpNaHNXzg
license: BSD3
maintainer: Felipe Lessa <felipe.lessa@gmail.com>
homepage: https://github.com/meteficha/skein
synopsis: Skein, a family of cryptographic hash functions.  Includes Skein-MAC as well.
description:
    Skein (<http://www.skein-hash.info/>) is a family of fast
    secure cryptographic hash functions designed by Niels
    Ferguson, Stefan Lucks, Bruce Schneier, Doug Whiting, Mihir
    Bellare, Tadayoshi Kohno, Jon Callas and Jesse Walker.
    .
    This package uses bindings to the optimized C implementation
    of Skein.  We provide a high-level interface (see module
    "Crypto.Skein") to some of the Skein use cases.  We also
    provide a low-level interface (see module
    "Crypto.Skein.Internal") should you need to use Skein in a
    different way.
    .
    Currently we have support for Skein as cryptographic hash
    function as Skein as a message authentication code
    (Skein-MAC).  For examples of how to use this package, see
    "Crypto.Skein" module documentation.
    .
    This package includes Skein v1.3. Versions of this package
    before 1.0.0 implemented Skein v1.1.
category: Cryptography
author: Felipe Lessa <felipe.lessa@gmail.com>, Doug Whiting
exposed: True
exposed-modules:
    Crypto.Skein Crypto.Skein.Internal
trusted: False
import-dirs: /usr/local/lib/ghc/skein-1.0.9.2
library-dirs: /usr/local/lib/ghc/skein-1.0.9.2
data-dir: /usr/local/share/hs-skein-1.0.9.2
hs-libraries: HSskein-1.0.9.2-4cmcSdqE4k4IDFpNaHNXzg
includes:
    skein.h
depends:
    base-4.8.2.0-3d77ba9c3882e564c6ef1b6e7015bbb1
    bytestring-0.10.6.0-e64194d00131ba3386784c6b067aaaac
    cereal-0.4.1.0-7d381ec81cd00a9ccdaa13b77e9ebf00
    crypto-api-0.13.2-7d9326cdc25bd3e3064a8af3888dfa8e
    tagged-0.7.3-1b5ee26ddae8e50a67fee3f089c3c92a
haddock-interfaces: /usr/local/share/doc/hs-skein-1.0.9.2/html/skein.haddock
haddock-html: /usr/local/share/doc/hs-skein-1.0.9.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
